Create a support ticket
POST
/v1/support/tickets
const url = 'https://shareout.site/v1/support/tickets';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"subject":"example","body":"example","workspaceId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shareout.site/v1/support/tickets \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "subject": "example", "body": "example", "workspaceId": "example" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
subject
required
string
body
required
string
workspaceId
string
Example generated
{ "subject": "example", "body": "example", "workspaceId": "example"}Responses
Section titled “ Responses ”Created
Media type application/json
object
success
boolean
ticket
object
id
string
subject
string
status
string
channel
string
workspace_id
string
requester_user_id
string
requester_email
string format: email
priority
string
created_at
string format: date-time
updated_at
string format: date-time
Example
{ "ticket": { "status": "open", "channel": "ui" }}Invalid request
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}